/**
 * Fetch function
 *
 * @param   {string | URL | import('./request').default} url - Absolute url or Request instance
 * @param   {RequestInit} [options_] - Fetch options
 * @return  {Promise<import('./response').default>}
 */
export default function fetch(url: string | URL | import('./request').default, options_?: RequestInit | undefined): Promise<import('./response').default>;
import Headers from "./headers.js";
import Request from "./request.js";
import Response from "./response.js";
import { FetchError } from "./errors/fetch-error.js";
import { AbortError } from "./errors/abort-error.js";
import { isRedirect } from "./utils/is-redirect.js";
export const ReadableStream: typeof WebStreams.ReadableStream;
import { Blob } from "@web-std/blob";
import WebStreams from "web-streams-polyfill";
export { Headers, Request, Response, FetchError, AbortError, isRedirect, Blob };
//# sourceMappingURL=index.d.ts.map